
QGIS Application - Bug report #4413

Generating SVG preview takes very long

2011-10-21 02:10 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14345

Description

When adding an image to a print layout, the generation of preview from SVG takes a very long time

History

#1 - 2011-10-21 01:51 PM - Marco Hugentobler

Well, the tmore preview directories / files you have, the longer it takes (with only the standard svg dirs enabled, it takes 2 seconds for me here). But the

preview generation is postponed until the item dialog shows up and additionally, it is possible to cancel loading of previews.

#2 - 2011-10-22 12:51 AM - Paolo Cavallini

Wouldn't it be more appropriate to generate the previews during compilation? In my case it takes several minutes to generate them all, and I suspect things

can only get worse as people use more and more symbols. BTW, I think we should organize symbols in groups/tags/folders, otherwise they will be more

and more difficult to use.

#3 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2012-04-16 06:29 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#5 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#7 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2015-12-05 04:07 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...
it seems to be fixed in QGIS 2.13, when I add an image in the composer, the search directories groupbox is displayed nearly instantly.

Could we close this bug ?

#9 - 2015-12-05 05:55 AM - Paolo Cavallini

Sorry, I have a very fast machine here, cannot test properly.

#10 - 2015-12-09 09:14 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Hello, bug triage...

it needs about 3 seconds on a low CPU (AMD A4-5000 1.5 GHz) to be displayed.

I am closing this bug...
